module Ipopt_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libipopt
const libipopt_path = "/usr/lib/libipopt.so.3"
libipopt_handle = C_NULL
get_libipopt_path() = libipopt_path
const libipopt = "libipopt.so.3"
export libipoptamplinterface
const libipoptamplinterface_path = "/usr/lib/libipoptamplinterface.so.3"
libipoptamplinterface_handle = C_NULL
get_libipoptamplinterface_path() = libipoptamplinterface_path
const libipoptamplinterface = "libipoptamplinterface.so.3"
export amplexe
const amplexe_path = "/usr/bin/ipopt"
amplexe(f::Function; kw...) = f(amplexe_path)
amplexe(; kw...) = Cmd([amplexe_path])
function __init__()
    global libipopt_handle = dlopen(libipopt_path)
    global libipoptamplinterface_handle = dlopen(libipoptamplinterface_path)
end
end
